メインコンテンツまでスキップ

List On-Demand Clusters (V2)
Public Preview

List all on-demand clusters in the current project.

GET/v2/clusters/onDemandClusters
Connection Endpoint

The base URL for this API is in the following format:

https://api.cloud.zilliz.com

📘Notes

The endpoints on the control plane currently supports up to 20 requests per second per user per endpoint.

export BASE_URL="https://api.cloud.zilliz.com"
Parameters
Authorizationstringheaderrequired

The authentication token should be an API key with appropriate privileges.

Example Value: Bearer {{TOKEN}}
Acceptstringheader

Use application/json.

Example Value: application/json
projectIdstringqueryrequired

The ID of the project to list clusters in. If not specified, the clusters in the default project will be listed.

Example Value: proj-xxxxxxxxxxxxxxxxxxxx
regionIdstringqueryrequired

The ID of the cloud region to list clusters in. If not specified, the clusters in all regions will be listed.

Example Value: aws-us-west-2
export TOKEN="YOUR_API_KEY"

curl --request GET \
--url "${BASE_URL}/v2/clusters/onDemandClusters?projectId=proj-xxxxxxxxxxxxxxxxxxxx&regionId=aws-us-west-2" \
--header "Authorization: Bearer ${TOKEN}" \
--header "Accept: application/json" \
--header "Content-Type: application/json"
Responses200 - application/json
codeinteger

Response code.

dataobject
countinteger

The total number of on-demand clusters.

onDemandClustersarray

List of on-demand clusters.

[]onDemandClustersobject

An on-demand cluster.

projectIdstring

ID of the project to which the cluster belongs.

Example Value: proj-xxxxxxxxxxxxxxx
clusterIdstring

ID of the cluster.

Example Value: inxx-xxxxxxxxxxxxxxx
clusterNamestring

Name of the cluster.

regionIdstring

Cloud region where the cluster is located.

Example Value: aws-us-west-2
cuSizeinteger

CU size of the cluster

statusstring

Current cluster status

endpointstring

Cluster public endpoint. For an on-demand cluster, the endpoint is an on-demand compute endpoint, which is shared among all on-demand clusters in the project. Use that with the target cluster ID for searches and queries.

Example Value: https://proj-xxxxxxxxxxxxxxx.aws-us-west-2.zillizcloud.com
privateLinkstring

Cluster private endpoint. This is an empty string if private link is not enabled.

createdBystring

Email address of the user who create the cluster.

createTimeinteger

Timestamp at which the cluster is created.

autoSuspendinteger

Auto-suspend idle window configured for the cluster. The cluster will be automatically suspended if there is no request within the specified period. The value is an integer representing the number of seconds. For example, 300 means 5 minutes.

{
"code": 0,
"data": {
"count": 2,
"onDemandClusters": [
{
"projectId": "proj-xxxxxxxxxxxxxxx",
"clusterId": "inxx-xxxxxxxxxxxxxxx",
"clusterName": "Cluster-01",
"regionId": "aws-us-west-2",
"cuSize": 8,
"status": "RUNNING",
"endpoint": "https://proj-xxxxxxxxxxxxxxx.aws-us-west-2.zillizcloud.com",
"privateLink": "",
"createdBy": "john.doe@zilliz.com",
"createTime": 1745396115000,
"autoSuspend": 60
},
{
"projectId": "proj-xxxxxxxxxxxxxxx",
"clusterId": "inxx-xxxxxxxxxxxxxxx",
"clusterName": "Cluster-02",
"regionId": "aws-us-west-2",
"status": "RUNNING",
"cuSize": 8,
"endpoint": "https://proj-xxxxxxxxxxxxxxx.aws-us-west-2.zillizcloud.com",
"privateLink": "",
"createdBy": "john.doe@zilliz.com",
"createTime": 1745396116450,
"autoSuspend": 60
}
]
}
}
{
"code": 21119,
"message": "The apikey is illegal."
}